Problem bei Gnome Installation

Dieses Thema im Forum "Gentoo" wurde erstellt von chin, 19.12.2006.

  1. chin

    chin Grünschnabel

    Dabei seit:
    15.03.2006
    Beiträge:
    9
    Zustimmungen:
    0
    Hallo zusammen,

    bloederweise hatte ich den Einfall, ich muesse mein gentoo mit einem "emerge world" auf den neusten Stand bringen. Bis auf Gnome ging das auch ganz gut.
    Das Gnome Update sollte von 2.14 auf 2.16 passieren.
    Was wirklich passiert ist, ist ein staendiger Fehler bei der Kompilation von "libgnomeui", der mich heute Nacht wahrscheinlich nicht schlafen laesst.
    Vielleicht koennt ihr die Situation entschaerfen.

    Code:
    make  all-recursive
    make[1]: Entering directory `/var/tmp/portage/libgnomeui-2.16.1/work/libgnomeui-2.16.1'
    Making all in libgnomeui
    make[2]: Entering directory `/var/tmp/portage/libgnomeui-2.16.1/work/libgnomeui-2.16.1/libgnomeui'
    (cd . \
            && glib-mkenums \
                            --fhead "#ifndef __GNOMETYPEBUILTINS_H__\n" \
                            --fhead "#define __GNOMETYPEBUILTINS_H__ 1\n\n" \
                            --fhead "#include <glib-object.h>\n\n" \
                            --fhead "G_BEGIN_DECLS\n\n" \
                            --ftail "G_END_DECLS\n\n" \
                            --ftail "#endif /* __GNOMETYPEBUILTINS_H__ */\n" \
                            --fprod "\n/* --- @filename@ --- */" \
                            --eprod "#define GNOME_TYPE_@ENUMSHORT@ @enum_name@_get_type()\n" \
                            --eprod "GType @enum_name@_get_type (void);\n" \
                    gnome-about.h gnome-app.h gnome-app-helper.h gnome-app-util.h gnome-appbar.h gnome-authentication-manager.h gnome-client.h gnome-color-picker.h gnome-dateedit.h gnome-dialog.h gnome-dialog-util.h gnome-druid.h gnome-druid-page.h gnome-druid-page-edge.h gnome-druid-page-standard.h gnome-entry.h gnome-file-entry.h gnome-font-picker.h gnome-help.h gnome-href.h gnome-ice.h gnome-icon-entry.h gnome-icon-item.h gnome-icon-list.h gnome-icon-lookup.h gnome-icon-sel.h gnome-icon-theme.h gnome-messagebox.h gnome-mdi.h gnome-mdi-child.h gnome-mdi-generic-child.h gnome-mdi-session.h gnome-password-dialog.h gnome-pixmap.h gnome-pixmap-entry.h gnome-popup-menu.h gnome-propertybox.h gnome-scores.h gnome-ui-init.h gnome-stock-icons.h gnome-thumbnail.h gnome-types.h gnome-uidefs.h gnome-url.h gnome-vfs-util.h gnome-window.h gnome-window-icon.h libgnomeui.h ) > xgen-gth \
            && (cmp -s xgen-gth gnometypebuiltins.h || cp xgen-gth gnometypebuiltins.h) \
            && rm -f xgen-gth \
            && echo timestamp > stamp-gnometypebuiltins.h
    glib-genmarshal --prefix=_gnome_marshal ./gnome-marshal.list --header >> xgen-gmh \
            && (cmp -s xgen-gmh gnome-marshal.h || cp xgen-gmh gnome-marshal.h) \
            && rm -f xgen-gmh xgen-gmh~ \
            && echo timestamp > stamp-gnome-marshal.h
    make  all-recursive
    make[3]: Entering directory `/var/tmp/portage/libgnomeui-2.16.1/work/libgnomeui-2.16.1/libgnomeui'
    Making all in pixmaps
    make[4]: Entering directory `/var/tmp/portage/libgnomeui-2.16.1/work/libgnomeui-2.16.1/libgnomeui/pixmaps'
    rm -f gnome-stock-pixbufs.h
    var=`echo "stock_attach.png stock_book_blue.png stock_book_green.png stock_book_open.png stock_book_red.png stock_book_yellow.png stock_line_in.png stock_mail.png stock_mail_compose.png stock_mail_forward.png stock_mail_receive.png stock_mail_reply.png stock_mail_send.png stock_menu_about.png stock_menu_blank.png stock_scores.png stock_mic.png stock_multiple_file.png stock_not.png stock_table_borders.png stock_table_fill.png stock_text_bulleted_list.png stock_text_indent.png stock_text_numbered_list.png stock_text_unindent.png stock_timer.png stock_timer_stopped.png stock_trash.png stock_trash_full.png stock_volume.png stock_midi.png stock_authentication.png" | sed -e 's,stock_\([^\.]*\)\.png,stock_\1 ./stock_\1.png,g'` ; \
               /usr/bin/gdk-pixbuf-csource --raw --build-list $var > pixbufs-tmp && \
               cat ./copyright.txt pixbufs-tmp > gnome-stock-pixbufs.h
    failed to load "./stock_attach.png": Couldn't recognize the image file format for file './stock_attach.png'
    make[4]: *** [gnome-stock-pixbufs.h] Error 1
    make[4]: Leaving directory `/var/tmp/portage/libgnomeui-2.16.1/work/libgnomeui-2.16.1/libgnomeui/pixmaps'
    make[3]: *** [all-recursive] Error 1
    make[3]: Leaving directory `/var/tmp/portage/libgnomeui-2.16.1/work/libgnomeui-2.16.1/libgnomeui'
    make[2]: *** [all] Error 2
    make[2]: Leaving directory `/var/tmp/portage/libgnomeui-2.16.1/work/libgnomeui-2.16.1/libgnomeui'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/var/tmp/portage/libgnomeui-2.16.1/work/libgnomeui-2.16.1'
    make: *** [all] Error 2
    
    !!! ERROR: gnome-base/libgnomeui-2.16.1 failed.
    Call stack:
      ebuild.sh, line 1546:   Called dyn_compile
      ebuild.sh, line 937:   Called src_compile
      ebuild.sh, line 1255:   Called gnome2_src_compile
      gnome2.eclass, line 71:   Called die
    
    !!! compile failure
    !!! If you need support, post the topmost build error, and the call stack if relevant.
    
    Als Zugabe, wenns hilft, hier noch ein "emerge --info"

    Code:
    zeus ~ # emerge --info
    Portage 2.1.1-r2 (default-linux/x86/2006.1, gcc-4.1.1, glibc-2.4-r4, 2.6.17-gentoo-r8 i686)
    =================================================================
    System uname: 2.6.17-gentoo-r8 i686 Intel(R) Pentium(R) 4 CPU 3.20GHz
    Gentoo Base System version 1.12.6
    Last Sync: Tue, 19 Dec 2006 17:30:01 +0000
    ccache version 2.3 [enabled]
    app-admin/eselect-compiler: [Not Present]
    dev-java/java-config: 1.3.7, 2.0.30
    dev-lang/python:     2.4.3-r4
    dev-python/pycrypto: 2.0.1-r5
    dev-util/ccache:     2.3
    dev-util/confcache:  [Not Present]
    sys-apps/sandbox:    1.2.17
    sys-devel/autoconf:  2.13, 2.60
    sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
    sys-devel/binutils:  2.16.1-r3
    sys-devel/gcc-config: 1.3.14
    sys-devel/libtool:   1.5.22
    virtual/os-headers:  2.6.17-r2
    ACCEPT_KEYWORDS="x86"
    AUTOCLEAN="yes"
    CBUILD="i686-pc-linux-gnu"
    CFLAGS="-march=pentium4 -O2 -pipe -msse -msse2 -mmmx  -fomit-frame-pointer"
    CHOST="i686-pc-linux-gnu"
    CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
    CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
    CXXFLAGS="-march=pentium4 -O2 -pipe -msse -msse2 -mmmx  -fomit-frame-pointer"
    DISTDIR="/home/portage/distfiles"
    FEATURES="autoclean autoconfig ccache distlocks metadata-transfer sandbox sfperms strict"
    GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/ "
    LINGUAS="de"
    MAKEOPTS="-j4"
    PKGDIR="/usr/portage/packages"
    PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
    PORTAGE_TMPDIR="/var/tmp"
    PORTDIR="/usr/portage"
    SYNC="rsync://rsync.gentoo.org/gentoo-portage"
    USE="X acpi alsa alsa_cards_intel8x0 apache2 avi bitmap-fonts browserplugin bzip2 cdparanoia cdr cli cpdflib cracklib crypt ctype cups curl divx4linux dlloader dri dvd dvdr dvdread elibc_glibc exif firefox flac gd-external gif glibc-omitfp gnome gphoto2 gpm gtk gtk2 gtkhtml hal iconv input_devices_keyboard input_devices_mouse ipv6 isdnlog java jpeg kernel_linux libg++ linguas_de mime mmx mp3 mpeg mplayer mysql mysqli nas ncurses nls nmap nptl nptlonly nsplugin ogg oggvorbis opengl oss pam pcmcia pcre pda perl php png pnp ppds pppd python quicktime rar readline reflection samba sdl session snmp spl sse sse2 ssl subtitles tcltk theora tiff truetype-fonts type1-fonts udev unicode usb userland_GNU video_cards_fglrx video_cards_radeon video_cards_vesa widescreen wifi win32codecs x86 xine xorg xv xvid zip zlib"
    Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
    
    Ich weiss wirklich nicht mehr weiter :hilfe2:

    chin
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 supersucker, 19.12.2006
    supersucker

    supersucker Foren Gott

    Dabei seit:
    21.02.2005
    Beiträge:
    3.873
    Zustimmungen:
    0
    Einfach mal die Fehlermeldung in google reinpasten kann manchmal Wunder wirken......:D

    Kuck dir diesen Link an: klick

    Punkt 6 ganz unten dürfte für dich interessant sein......
     
  4. chin

    chin Grünschnabel

    Dabei seit:
    15.03.2006
    Beiträge:
    9
    Zustimmungen:
    0
    Danke fuer den Tip, aber dort bin ich nun schon den ganzen Tag unterwegs, mittlerweile nun mal schon zum zweiten Mal. Das Resultat - Nichts!

    Es gibt schon einige Hits zu dem Thema, nur leider keine Loesungen dazu...

    Auf deinem Link war ich auch schon, hat aber leider nichts gebracht...

    Das macht mich total fertig, hab morgen noch ne Praesentation und weiss nicht wie ich das wieder in den Griff bekomme...:(

    Hab mir kurzfristig Windowmaker installiert, nur ohne "libgnomeui" verweigern natuerlich alle Gnome Programme (Evolution) auch ihren Dienst unter WindowMaker...
     
  5. #4 supersucker, 19.12.2006
    supersucker

    supersucker Foren Gott

    Dabei seit:
    21.02.2005
    Beiträge:
    3.873
    Zustimmungen:
    0
    Hmm,

    wenn das nicht klappt dann weiss ich auch nicht wirklich weiter.....

    Schon mal aus Verlegenheit ein

    Code:
    emerge --depclean
    und ein

    Code:
    revdep-rebuild --pretend
    laufen lassen?

    Ist keine richtige Lösung aber könnte durchaus was bringen......
     
  6. chin

    chin Grünschnabel

    Dabei seit:
    15.03.2006
    Beiträge:
    9
    Zustimmungen:
    0
    Hmm, hab was neues entdeckt, bei der Neukompilation von gtk+-2.10.6 gibt es am Ende eine Meldung

    Code:
    >>> Regenerating /etc/ld.so.cache...
    >>> Original instance of package unmerged safely.
    /usr/portage/x11-libs/gtk+/gtk+-2.10.6.ebuild: line 135: 17563 Segmentation fault      gdk-pixbuf-query-loaders >${ROOT}${GTK2_CONFDIR}/gdk-pixbuf.loaders
    >>> Regenerating /etc/ld.so.cache...
    >>> x11-libs/gtk+-2.10.6 merged.
    
    Kann damit jemand was anfangen?

    Das wird wohl der Grund sein, warum "libgnomeui" nicht durchlaeuft
     
  7. #6 supersucker, 20.12.2006
    supersucker

    supersucker Foren Gott

    Dabei seit:
    21.02.2005
    Beiträge:
    3.873
    Zustimmungen:
    0
    Hmm,

    Segmentation fault heissen eigentlich in 90% aller Fälle das du defekte Hardware hast, meistens dann defekten Speicher.......

    Schon mal nen memtest durchlaufen lassen?
     
  8. #7 chin, 20.12.2006
    Zuletzt bearbeitet: 20.12.2006
    chin

    chin Grünschnabel

    Dabei seit:
    15.03.2006
    Beiträge:
    9
    Zustimmungen:
    0
    Memtest ist durchgelaufen und hat keine Fehler angezeigt.

    Ist ein Segmentation Fault wirklich in 90% der Faelle ein Hardwaredefekt?
    Ich dachte, dass das eher von einer schlechten Programmierung kommt.

    Ich werde auf jeden Fall weiter nach dem Fehler suchen (muessen), an irgendetwas muss es ja liegen. Kann ja nicht sein, dass ich Gnome-2.16 und die libgnomeui nicht kompiliert bekomme...

    ... und alles nur wegen diesem gdk-pixbuf.

    Falls dir noch was einfallen sollte, ich bin fuer jeden Tip dankbar!
     
  9. gtuser

    gtuser Eroberer

    Dabei seit:
    20.12.2006
    Beiträge:
    59
    Zustimmungen:
    0
    Ort:
    München
    Hallo

    wahrscheinlich weisst Du es sowiso, aber falls nicht, kann es nicht schaden mal einen Blick
    in die Paketabhängigkeiten zu werfen.

    /usr/portage/gnome-base/libgnomeui/libgnomeui-2.16.1.ebuild
     
  10. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  11. chin

    chin Grünschnabel

    Dabei seit:
    15.03.2006
    Beiträge:
    9
    Zustimmungen:
    0
    Manchmal sind es die kleinen Dinge im Leben.
    Der Tip mit den Abhaengigkeiten war top, meine "libgnomeui" ist durchgelaufen.
    Mal schauen wie es mit dem Rest von Gnome aussieht.

    Danke fuer den Hinweis, gar nicht schlecht fuer den ersten Beitrag :))
     
  12. #10 supersucker, 20.12.2006
    supersucker

    supersucker Foren Gott

    Dabei seit:
    21.02.2005
    Beiträge:
    3.873
    Zustimmungen:
    0
    Ja woran lag es denn nun genau?
     
Thema:

Problem bei Gnome Installation

Die Seite wird geladen...

Problem bei Gnome Installation - Ähnliche Themen

  1. Probleme bei Gnome Installation

    Probleme bei Gnome Installation: Hallo, Ich wollte gerade für mein erstes Gentoo gnome(-light) installieren... Alles läuft gut bis: !!! Couldn't download 'zip232.tar.gz'....
  2. Gnome pkg_add Probleme

    Gnome pkg_add Probleme: Hallo zusammen, ich vesuche mich derzeit mit FreeBSD 7.1. Die Installation klappte soweit einwandfrei. Nun möchte ich Gnome als Grafische...
  3. GrafikProblem Gnome - XSession verbaut

    GrafikProblem Gnome - XSession verbaut: Hallo Leute ich habe gerade ein RIESEN Problme. Gerade habe ich meinen Rechner gestartet und Ubuntu hochgefahren. Kommt eine Meldung von...
  4. [openSUSE 10.3/Gnome] Internetverbindung und weitere Probleme

    [openSUSE 10.3/Gnome] Internetverbindung und weitere Probleme: Grüße Unixboard! Ein weiteres mal dürfen alle (zu recht) genervt das Gesicht verziehen denn: Ich bin ein von Windows kommender Linux Neuling....
  5. pam_mount + kde oder gnome probleme

    pam_mount + kde oder gnome probleme: Ich hab jetzt soweit alles am laufen. AD integration klappt super mit Samba. Das einzige dicke Problem ist, das wenn ich die home directories der...